#/* Copyright 1998-2011 Research Foundation State University of New York */
#
#/* This file is part of QuB.                                            */
#
#/* QuB is free software; you can redistribute it and/or modify          */
#/* it under the terms of the GNU General Public License as published by */
#/* the Free Software Foundation, either version 3 of the License, or    */
#/* (at your option) any later version.                                  */
#
#/* QuB is distributed in the hope that it will be useful,               */
#/* but WITHOUT ANY WARRANTY; without even the implied warranty of       */
#/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        */
#/* GNU General Public License for more details.                         */
#
#/* You should have received a copy of the GNU General Public License,   */
#/* named LICENSE.txt, in the QuB program directory.  If not, see        */
#/* <http://www.gnu.org/licenses/>.                                      */

from distutils.core import setup, Extension

module1 = Extension('_qubtree',
                    define_macros = [('MAJOR_VERSION', '1'),
                                     ('MINOR_VERSION', '0')],
                    include_dirs = ['/usr/local/include',
                                    '../qubtree', '../include', '../qubcommon'],
                    libraries = ['qubtree', 'stdc++'],
                    library_dirs = ['/usr/local/lib',
                                    '/home/cnicolai/lib'],
                    sources = ['qubtree_node.cpp', 'qubtree_NodeFunc.cpp'])

setup (name = '_qubtree',
       version = '1.0',
       description = 'python bindings for libqubtree',
       author = 'Chris Nicolai',
       author_email = 'qub@www.qub.buffalo.edu',
       url = 'http://www.qub.buffalo.edu/qubdoc',
       long_description = '''
python bindings for libqubtree
''',
       ext_modules = [module1],
       py_modules = ['qubtree'])
